Subject: Re: bug#7507: 24.0.50; GDB dialog: default should not be `Yes' if GDB is not installed

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Apr 2016 08:20:37 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 28 Apr 2016 00:56:44 +0200
> Cc: [email-masked]
> 
> "Drew Adams" <[email-masked]> writes:
> 
> > Why does the question asking whether I want to debug with GDB have `Yes'
> > as the default value if I don't even have GDB installed?  That obliges
> > users to pick up the mouse and click `No' instead of just hitting RET.
> > If you try to answer `Yes' you just get into trouble: That provokes a
> > Microsoft error, letting you send lots of interesting info to MS for
> > `GNU Emacs: The extensible self-documenting text editor'.  I.e., `Yes'
> > => Microsoft dialog box: `Send Error Report' or `Don't Send'.
> 
> When does Emacs ask whether you want to debug something with GDB?  I
> can't recall it ever asking me that...

This is about the Emacs Abort dialog that Emacs displays only on
MS-Windows.

FWIW, I don't think trying to detect whether GDB is installed when
displaying that dialog is a reasonable request.  That dialog is
displayed when Emacs is already in bad trouble, so embarking on a
non-trivial journey trying to find gdb.exe somewhere on the system,
which involves issuing quite a few system calls, doesn't sound like a
good idea.

The standard dialog popped up by Windows in similar situations
includes the "Debug" button even if debugging tools are not installed,
so I think we don't do anything preposterously unreasonable here.